package com.yonge.cooleshow.biz.dal.entity;

import com.yonge.cooleshow.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import java.util.Date;

/**
 * 乐谱收藏表
 * @author yzp
 * @date 2022-03-25 23:46:28
 * @version v1.0
 **/
@ApiModel(value = "music_favorite-乐谱收藏表")
public class MusicFavorite extends BaseEntity {

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    private Long id;  //主键ID

    @TableField("user_id_")
    @ApiModelProperty(value = "用户ID(目前只是学生ID)")
    private Long userId;  //用户ID(目前只是学生ID)

    @TableField("music_sheet_id_")
    @ApiModelProperty(value = "曲谱ID")
    private Long musicSheetId;  //曲谱ID

    @TableField("favorite_time_")
    @ApiModelProperty(value = "收藏时间")
    private java.util.Date favoriteTime;  //收藏时间

    @TableField("favorite_flag_")
    @ApiModelProperty(value = "是否收藏(1:收藏;0:取消收藏)")
    private Integer favoriteFlag;  //是否收藏(1:收藏;0:取消收藏)


	public MusicFavorite setId(Long id) {
	    this.id = id;
	    return this;
	}

	public Long getId() {
	    return this.id;
	}

	public MusicFavorite setUserId(Long userId) {
	    this.userId = userId;
	    return this;
	}

	public Long getUserId() {
	    return this.userId;
	}

	public MusicFavorite setMusicSheetId(Long musicSheetId) {
	    this.musicSheetId = musicSheetId;
	    return this;
	}

	public Long getMusicSheetId() {
	    return this.musicSheetId;
	}

	public MusicFavorite setFavoriteTime(java.util.Date favoriteTime) {
	    this.favoriteTime = favoriteTime;
	    return this;
	}

	public java.util.Date getFavoriteTime() {
	    return this.favoriteTime;
	}

	public MusicFavorite setFavoriteFlag(Integer favoriteFlag) {
	    this.favoriteFlag = favoriteFlag;
	    return this;
	}

	public Integer getFavoriteFlag() {
	    return this.favoriteFlag;
	}


    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

}